> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# List recurring payment plans for a fund

GET https://ssuccessv2.com/app/api/v1/fundraising/fund/{id}/payment-plans

Returns recurring plans whose payment allocations belong to the selected fund.

Reference: https://docs.schoolset.io/api-reference/school-set-api/fundraising-funds/get-fund-payment-recurring-plans

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Fund ID

## Response

### 200

Recurring plans for the fund.

- `status` (string, required)
- `message` (string, required)
- `data` (list of ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 401 Unauthorized Error

Unauthenticated

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Fund does not exist

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional)
- `payment_total_amount` (double, optional)
- `payment_start_date` (date, optional)
- `type` (ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsType, optional)
- `status` (ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsStatus, optional)
- `payments` (list of ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsPaymentsItems, optional)
- `payment_source` (string, optional, nullable)
- `payment_recurring_period` (ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsPaymentRecurringPeriod, optional)
- `payer_id` (integer, optional, nullable)
- `payer_type` (string, optional, nullable)
- `payer` (ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsPayer, optional, nullable)
- `donor` (ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsDonor, optional, nullable)
- `note` (string, optional, nullable)

### ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsType

- `id` (integer, optional)
- `title` (string, optional)

### ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsStatus

- `id` (integer, optional)
- `title` (string, optional)

### ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsPaymentsItems

- `id` (integer, optional)

### ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsPaymentRecurringPeriod

- `id` (integer, optional)
- `title` (string, optional)

### ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsPayer

- `id` (integer, optional)
- `name` (string, optional)

### ApiV1FundraisingFundIdPaymentPlansGetResponsesContentApplicationJsonSchemaDataItemsDonor

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": [
    {
      "id": 91,
      "payment_total_amount": 1200,
      "payment_start_date": {},
      "type": {
        "id": 6,
        "title": "ACH"
      },
      "status": {
        "id": 1,
        "title": "Active"
      },
      "payments": [
        {
          "id": 501
        }
      ],
      "payment_source": "schoolset",
      "payment_recurring_period": {
        "id": 2,
        "title": "Monthly"
      },
      "payer_id": 44,
      "payer_type": "donor",
      "payer": {
        "id": 44,
        "name": "Jamie Rivera"
      },
      "donor": {
        "id": 44,
        "name": "Jamie Rivera"
      },
      "note": "Annual giving plan"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/fundraising/fund/12/payment-plans")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```